Skip to Content
homemade
Dashboard

List projects

GET
/api/projects

Every project in your teams, newest first. Pass orgId for one team's projects.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Query Parameters

orgId?string

Response Body

The projects.

application/json
  1. response
projects*array<>
Example Request
curl -X GET 'https://api.homemade.dev/api/projects'
Example Response
{  "projects": [    {      "defaultBranch": "string",      "githubRepoFullName": "string",      "id": "string",      "latestCommitAt": "2019-08-24T14:15:22Z",      "name": "string",      "rootDirectory": "string",      "slug": "string",      "status": "string",      "property1": null,      "property2": null    }  ]}